Bug 1828894 (CVE-2020-10725) - CVE-2020-10725 dpdk: librte_vhost Malicious guest could cause segfault by sending invalid Virtio descriptor
Summary: CVE-2020-10725 dpdk: librte_vhost Malicious guest could cause segfault by sen...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10725
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1831388 1837027 1837028 1837029 1837030 1837059
Blocks: 1828925
TreeView+ depends on / blocked
 
Reported: 2020-04-28 14:29 UTC by Michael Kaplan
Modified: 2021-04-19 10:42 UTC (History)
37 users (show)

Fixed In Version: dpdk 20.02.1, dpdk 19.11.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in DPDK version 19.11 and above that allows a malicious guest to cause a segmentation fault of the vhost-user backend application running on the host, which could result in a loss of connectivity for the other guests running on that host. This is caused by a missing validity check of the descriptor address in the function `virtio_dev_rx_batch_packed()`.
Clone Of:
Environment:
Last Closed: 2020-05-26 15:15:31 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:5355 0 None None None 2020-12-07 12:15:35 UTC
Red Hat Product Errata RHSA-2020:2295 0 None None None 2020-05-26 11:23:54 UTC
Red Hat Product Errata RHSA-2020:4806 0 None None None 2020-11-04 04:02:03 UTC

Description Michael Kaplan 2020-04-28 14:29:58 UTC
A vulnerability was found in DPDK through version 19.11, virtio_dev_rx_batch_packed() misses checking whether the descriptor address is valid. A Malicious guest could cause a segmentation fault of the vhost-user backend application running on the host, which could result in a loss of connectivity for the other guests running on that host.

Comment 1 Michael Kaplan 2020-04-28 14:30:01 UTC
Acknowledgments:

Name: Ferruh Yigit (Reporter)

Comment 4 Anten Skrabec 2020-05-05 03:59:40 UTC
Removed OpenStack 7 affects and added missing affects for OpenStack and Fast Datapath. Only openvswitch2.13+ ships dpdk v19.11+.

Comment 9 Mauro Matteo Cascella 2020-05-17 17:41:24 UTC
Statement:

The versions of `dpdk` as shipped with Red Hat Enterprise Linux 7 were not affected by this flaw, as they did not include the vulnerable code, which was introduced in a later version of the package. This issue did not affect the versions of `ceph` as shipped with Red Hat Ceph Storage 3 and 4, as they did not include support for dpdk.

Comment 12 Nick Tait 2020-05-18 18:38:11 UTC
Created dpdk tracking bugs for this issue:

Affects: fedora-all [bug 1837059]

Comment 13 Mauro Matteo Cascella 2020-05-19 13:25:08 UTC
Upstream fix:
https://git.dpdk.org/dpdk/commit/?id=97ecc1c85c95c13bc66a87435758e93406c35c48

Comment 15 errata-xmlrpc 2020-05-26 11:23:50 UTC
This issue has been addressed in the following products:

  Fast Datapath for Red Hat Enterprise Linux 8

Via RHSA-2020:2295 https://access.redhat.com/errata/RHSA-2020:2295

Comment 16 Product Security DevOps Team 2020-05-26 15:15:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10725

Comment 17 errata-xmlrpc 2020-11-04 04:02:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4806 https://access.redhat.com/errata/RHSA-2020:4806

Comment 18 errata-xmlrpc 2021-04-19 10:42:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:1239 https://access.redhat.com/errata/RHSA-2021:1239


Note You need to log in before you can comment on or make changes to this bug.